Package it.ernytech.tdlib

## Class TdApi.SecretChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.SecretChat

Enclosing class:
  TdApi

    public static class TdApi.SecretChat
    extends TdApi.Object

Represents a secret chat.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `id` Secret chat identifier.
`boolean` `isOutbound` True, if the chat was created by the current user; otherwise false.
`byte[]` `keyHash` Hash of the currently used key for comparison with the hash of the chat partner's key.
`int` `layer` Secret chat layer; determines features supported by the other client.
`TdApi.SecretChatState` `state` State of the secret chat.
`int` `ttl` Current message Time To Live setting (self-destruct timer) for the chat, in seconds.
`int` `userId` Identifier of the chat partner.

### Constructor Summary

Constructors
`SecretChat()` Default constructor.
`SecretChat​(int id, int userId, TdApi.SecretChatState state, boolean isOutbound, int ttl, byte[] keyHash, int layer)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public int id

Secret chat identifier.

#### userId

    public int userId

Identifier of the chat partner.

#### state

    public TdApi.SecretChatState state

State of the secret chat.

#### isOutbound

    public boolean isOutbound

True, if the chat was created by the current user; otherwise false.

#### ttl

    public int ttl

Current message Time To Live setting (self-destruct timer) for the chat, in seconds.

#### keyHash

    public byte[] keyHash

Hash of the currently used key for comparison with the hash of the chat partner's key. This is a string of 36 bytes, which must be used to make a 12x12 square image with a color depth of 4. The first 16 bytes should be used to make a central 8x8 square, while the remaining 20 bytes should be used to construct a 2-pixel-wide border around that square. Alternatively, the first 32 bytes of the hash can be converted to the hexadecimal format and printed as 32 2-digit hex numbers.

#### layer

    public int layer

Secret chat layer; determines features supported by the other client. Video notes are supported if the layer >= 66.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SecretChat

    public SecretChat()

Default constructor.

#### SecretChat

    public SecretChat​(int id,
                      int userId,
                      TdApi.SecretChatState state,
                      boolean isOutbound,
                      int ttl,
                      byte[] keyHash,
                      int layer)

Constructor for initialization of all fields.

Parameters:
  `id` - Secret chat identifier.
  `userId` - Identifier of the chat partner.
  `state` - State of the secret chat.
  `isOutbound` - True, if the chat was created by the current user; otherwise false.
  `ttl` - Current message Time To Live setting (self-destruct timer) for the chat, in seconds.
  `keyHash` - Hash of the currently used key for comparison with the hash of the chat partner's key. This is a string of 36 bytes, which must be used to make a 12x12 square image with a color depth of 4. The first 16 bytes should be used to make a central 8x8 square, while the remaining 20 bytes should be used to construct a 2-pixel-wide border around that square. Alternatively, the first 32 bytes of the hash can be converted to the hexadecimal format and printed as 32 2-digit hex numbers.
  `layer` - Secret chat layer; determines features supported by the other client. Video notes are supported if the layer >= 66.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR